Bug 116443 - Insecure tmpfile creation
Insecure tmpfile creation
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: htdig (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
: Security
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-02-20 21:50 EST by Enrico Scholz
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-26 10:01:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-02-20 21:50:25 EST
Description of problem:

| $ cat /usr/bin/HtFileType
| ...
| tmpfile=/tmp/`basename $0`.$$


Version-Release number of selected component (if applicable):

htdig-3.2.0b5-4
Comment 2 Phil Knirsch 2004-02-23 11:29:59 EST
Urgs. OK. Fix should be easy using mktemp. Should be fixed in next
release, too.

Read ya, Phil
Comment 3 Phil Knirsch 2004-02-26 10:01:41 EST
Fixed in htdig-3.2.0b5-6 and later.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.